2.0.7013 - 3.8.2026
- Fixed: Weigl deployment package: saved settings revert after restart 

2.0.7010 - 17.7.2026
- Added: Beckhoff Deployment Window automatically appears when adding Twincat SPS device

2.0.7003 - 17.7.2026
- Fixes: Twincat SPS device allowed to add channels without a configuration loaded, resulted in empty exports when deployed
- Added Offline Twincat SPS configuration editor, as property in Twincat SPS device

2.0.6863 - 22.6.2026
- Fixes: Undo/Redo, Copy/Paste, Library. Broke with new serialisation of the previous release.

2.0.6860 - 19.5.2026
- Major serialisation change: beginning with this version Conductor will be able to open shows created with newer versions. Features created with newer version not existing in the current version are ignored, but not thrown away - they get serialized when saving, keeping them available in the newer version of Conductor. A warning is logged if a file is opened with a feature the current Conductor version does not support.
- Selection change no longer changes revision hash
- Fixed undo action created when mouse was moving during loading
- Fixed Conductor reporting TCP connection errors in passive mode, if multiple Backstage instances running in the same network, advertising sequencers to the network.

2.0.6857 - 13.5.2026
- Static Icon marking instead of animation of remote control changed mute and seat channel states 
- Allow to "Save for Version" to save a show file for a previous version of Conductor

2.0.6856 - 9.5.2026
- Seatselection and Mute/Unmute/Togglemute calles from Remote are temporarily now and not saved. They are not changing show revision hash anymore.

2.0.6855 - 16.3.2026
- Auto select points created with CTRL-P

2.0.6852 - 3.3.2026
- Show advanced audio settings and separate deployment settings for Beckhoff

2.0.6851 - 24.2.2026
- Option to auto-reconnect ADS devices

2.0.6849 - 29.1.2026
- Fixed: Backstage passive mode: "Jump to 0" not pausing playback and left play button in wrong state

2.0.6848 - 28.1.2026
- Fixed: A command channel's parameter channel returned values without precision applied
- Changed: Conductor <-> Backstage control commands are now sent through TCP/IP

2.0.6844 - 26.1.2026
- Fixed: incoming/recorded data not adjusted to channel precission
- Fixed: Recording group play/stop commands not executed in Backstage passive mode

2.0.6842 - 10.12.2025
- Updated licensing model and mechanism

2.0.6833 - 5.11.2025
- Added Option to set Conductor to use High Performance GPU and also to remove it in System Settings Assistant dialog
- Fixed jump to 0 in Backstage passive mode when pressing play

2.0.6830 - 5.11.2025
- Fixed a possible freeze with channel limitations in non-realtime mode.

2.0.6829 - 4.11.2025
- Improvement: Limit Seek commands sent from Conductor to Backstage in passive mode to max. 100 per second

2.0.6828 - 4.11.2025
- Fixed: Backstage passive mode not available in BSeries Conductor

2.0.6827 - 4.11.2025
- Fixed: HFX file with TwinCAT ADS device did not load, if ADS device not present

2.0.6823 - 29.10.2025
- Demo mode now allows to load and save, but is limited to 30 seconds playback and export

2.0.6817 - 10.10.2025
- Service Release

2.0.6813 - 2.10.2025
- Added channel reference mode "Speed of" and "Acceleration of" to allow a channel to represent the speed or acceleration of another channel
- Improved calculation of speed and acceleration restriction to use a more accurate global timestamp aligned to the evalution time instead a local time function.
- Fixed horizontal alignment of channel values in numeric channels

2.0.6808 - 2.7.2025
- Added interface to Log from script channel

2.0.6807 - 1.7.2025
- Added interface to get marker times from script channel

2.0.6805 - 1.7.2025
- Added optional logging to syslog server

2.0.6803 - 28.6.2025
- Added PosiStageNet device to send tracker data

2.0.6789 - 2.4.2025
- Fixed: "Fade to Level" commands sent to Weigl devices right after a show change in Backstage passive mode.
- AAC audio support for Weigl devices removed. Can be licensed separately.

2.0.6782 - 7.1.2025
- Fixed wrong play state when seeking in Backstage passive mode

2.0.6781 - 3.12.2024
- Fixed possible rounding error (Rounding digits must be between 0 and 15, inclusive) during recording with certain input controllers

2.0.6780 - 26.10.2024
- Ignoring dongles with invalid s/n

2.0.6779 - 27.8.2024
- Weigl CAN devices with >16 channels fixed

2.0.6775 - 30.7.2024
- Added udp commands to control recording/rehearsal Punch-In/Out: startrecording, stoprecording, startrehearsal, stoprehearsal

2.0.6773 - 26.6.2024
- Fixed "Save as version 1.5" not working anymore

2.0.6772 - 17.5.2024
- Service Release

2.0.6770 - 7.5.2024
- Backstage sACN / Artnet device: added brightness parameter as multiplier for DMX values, to allow dimming of video data received from Backstage

2.0_6769 - 2.4.2024
- Allow disabling DMX Update-Rate limits

2.0_6768 - 1.4.2024
- TwinCat Conductor Interface 1.1 module - profile lock password is now accessible within TwinCat. Previous Conductor Interface modules will not work with this and newer Conductor versions.

2.0_6765 - 20.2.2024
- Fixed: Max analog channels of Weigl sub devices was limited to 16 instead 32

2.0_6764 - 19.2.2024
- Fixed sometimes disapearing UI when switching between mutliple HFX files
- Further Updates on Weigl devices

2.0_6763 - 8.2.2024
- Update on Weigl devices

2.0_6761 - 17.1.2024
- Support for Weigl CAN channels

2.0_6759 - 11.1.2024
- Support for Weigl Pro Commander 4/HXi, increased max. channel counts for Weigl devices

2.0_6757 - 1.1.2024
- Worked arround a .NET memory leak issue in passive mode, causing high memory and CPU usage after long operation

2.0_6755 - 15.10.2023
- Reworded connection traffic logging: selected connections are now serialized into HFX file and restored at startup. Traffic is logged into log file (not just displayed Log output). Incoming remote connection traffic is always logged.

2.0_6753 - 20.9.2023
- Fixed: Audio waveform not shown after loading a project file
- Reworked Backstage Passive Mode: Disallow activation of other show, when passive mode active. Automatically activate a loaded show in passive mode, if it matches Backstage sequencer.

2.0_6750 - 4.9.2023
- Prevent crash in Backstage Passive Mode, if network is not available at startup

2.0_6749 - 18.8.2023
- Fixed a possible crash at startup, when Conductor was closed with minimized GUI

2.0_6748 - 19.7.2023
- Fixed automatic profile lock with older HFX files

2.0_6747 - 18.7.2023
- Global profile lock/unlock with password (root node)

2.0_6746 - 6.7.2023
- Tab Key now working on Timecode Offset "Sign" field
- Changed Defaults for TwinCat RT channel: format=LREAL (from REAL), precision=15 (was 6), to minimize calculation errors for motion
- TwinCat RT Plugin: added outputs for effective velocity and acceleration

2.0_6741 - 24.5.2023
- Fixed: TwinCat RT device channel mute not working

2.0_6740 - 24.5.2023
- Improved Backstage passive mode playback smoothness and fixed marker/jumps not always working

2.0_6738 - 18.5.2023
- Fixed Backstage passive mode sometimes not playing when Backstage is using Stepper node

2.0_6737 - 7.5.2023
- Added Passive Mode "Backstage" to seamlessly integrate into our BX Series Software
- Multiple Files can now be set as Startup Files

2.0_6735 - 2.2.2023
- Added additional playback speed settings 100, 10, 5 and 0.01
- Fixed Command drag from command list not always working 

2.0_6733 - 18.11.2022
- UDP commands mute, unmute and togglemute allow channel/group name as parameter

2.0_6731 - 24.7.2022
- Added Option for a Conditional Channel for jump markers

2.0_6729 - 30.5.2022
- Fixed BSM.Interfaces.DLL not written at startup, causing Conductor to not start after an update

2.0_6728 - 17.5.2022
- Fixed an issue with sACN devices and startup HFX not working

2.0_6726 - 2.4.2022
- Fixed an issue in Playmaker Passive Mode where jump markers were stalling Playmaker

2.0_6724 - 23.3.2022
- Fixed: Anchor point of recording is now only removed if ease-before or ease-in should be applied and not pose2pose recording

2.0_6723 - 9.2.2022
- New: DMX Mapper
- New: DMX Devices -> Save as Recording (to convert editable channels to files that can be loaded or referenced to as DMX Recording)
- New: Access Range Channels from C# Script
- New: jumpandplay UDP command for remote control
- New: replicate DMX channels in DMX and Color Channels
- New: Start Minimized (Startup Settings)
- New: Allow to setup port for sending remote control connections answers to
- Fixed: Enter Rehearsal at startup not working
- Beta: Siemens S7 support

2.0_6629 - 15.11.2021
- Transition between Channel Restrictions and Channel Restrictions (Timeline Stopped) now only when all channels have no movement. An icon right to the control area indicates the transition.
- New application setting "Remote Control Working Directory" added. If set, the remote control commands "openshow", "openandplay", "openkeepexisting" and "openandplaykeepexisting" will search that folder (sub folders not included) for the specified file and open it if found, if the specified file path is a filename-only path.
- Added Command Type: Periodic
- CSV Export now also exports group names
- Script Channel now has access to Range Channels (from DMX recordings). Currently the entire universe is returned, will add single channel values as well in a future release.
- Improvements of Beckhoff SPS Device 


2.0_6576 - 1.10.2021
- ProCommander VH and HX can now be added through the device discovery function
- Improved CSV import (works with . and , as digit now)

2.0_6572 - 30.9.2021
- Pasting Commands to Command channel no longer replaces existing ones, if they are located exactly on the same time. The pasted commands are moved to the next possible position and in case they have a duration, their duration is limited to the next command's position in the same channel.

2.0_6571 - 29.9.2021
- Weigl Show Export with new type of Command channels fixed
- Improvements of Beckhoff SPS Device 

2.0_6553 - 20.9.2021
- Improvements of Beckhoff SPS Device
- Possible fix for WEMC Show Exporter not exporting audio w/o Export End Marker

2.0_6527 - 2.9.2021
- Improved "Pose to Pose" Animation
- Added WBGR and BGR color space for color channels
- Fixed an issue that would break recording to a channel after it was moved to a new group
- Improvements of Beckhoff SPS Device

2.0_6390 - 12.5.2021
- Added Beckhoff SPS Device local Export & Import

2.0_6355 - 14.4.2021
- Added Beckhoff SPS Device
- Fixed: Channel Restrictions not marked after loading a HFX file
- Fixed: Crash at startup in Windows 7 because DSCP status can't be read

2.0_6315 - 30.3.2021
- Minor fixes

2.0_6301 - 16.3.2021
- Fixed: Whitelisting for Remote Control not working with more than one IP
- Fixed: OpenShow UDP command not working
- Added option to modify Ease-In/Out position for recording
- Modified Backstage device to support Artnet (beside sACN)

2.0_6271 - 22.2.2021
- Added option to set DSCP (network QoS) in system assistant dialog

2.0_6267 - 14.2.2021
- Fixed: Locator and vertical markers invisible with 125% and 175% desktop scaling
- Fixed: Slow editing performance with channel restrictions
- Feature: In-App notification of new version

2.0_6252 - 4.2.2021
- Fixed: Remote Control IP whitelist

2.0_6206 - 3.1.2021
- Added "New Version" and "Update" Display

2.0_6202 - 7.12.2020
- Fixed: Mouse as input device not recording smooth

2.0_6200 - 3.12.2020
- Fixed: Left/Right cursor keys work again when the ms timebase is set
- Command lists can be assigned to command channels now for faster access and test, used commands can be saved as command list, colors for commands in lists.

2.0_6161 - 19.11.2020
- Fixed: Commands end duration not snapping
- Improved sACN recording
- Improved commands time input and modification through keyboard jump box
- Added OpenKeepExisting and OpenAndPlayKeepExisting remote commands

2.0_6129 - 30.10.2020
- sACN can be used as Input Controllers

2.0_6114 - 16.10.2020
- Introducing Periodic Commands

2.0_6100 - 4.10.2020
- Hotkeys for Zoom (CTRL+ / CTRL-)
- Hotkey for Filter (CTRL F)
- Added TCP/IP Connection. Please note, sending to TCP/IP is blocking and can lead to stalls in playback, if receiver is not available or slow.

2.0_6092 - 18.9.2020
- Conductor no longer hides taskbar
- Fixed: Locator autoscroll disabled at startup

2.0_6088 - 12.9.2020
- New option to have the locator centered during playback (experimental)
- Improvements of speed, acceleration and jerk graphs

2.0_6081 - 6.8.2020
- Remote Control connection can be enabled/disabled by Marker commands and button in UI

2.0_6078 - 4.8.2020
- Fixed: sACN device sending rate not limited to DMX update rate
- Fixed: connection of Universe 1 sACN device was not created after loading a hfx file
- Fixed: Possible error message "failed to extract assemblies" when starting multiple instances at the same time
- Fixed: Crash when importing DMX recording

2.0_6063 - 21.7.2020
- Color channels can now be used idependently from a DMX device
- Audio panning fixed with playbackspeed <> 1.0
- Reworked timecode input in timecode display

2.0_6048 - 3.7.2020
- Conductor now generates a uniquie ID for sACN per Instance
- Acceleration and Jerk overlay in channel (Beta)

2.0_6042 - 24.6.2020
- LSB and MSB channels of 16 Bit DMX can be individually set now
- Fixed random crash when receiving an sACN broadcast message

2.0_6038 - 19.6.2020
- Guides can have custom color now

2.0_6037 - 18.6.2020
- GUI: Properties can now be collapsed and by default only most important properties are shown
- Introducing an Backstage->sACN device which allows to receive video data from our Backstage video mapping tool and send that out to sACN universes

2.0_6016 - 28.5.2020
- Added option to change port in Beckhoff ADS device
- sACN new device property "Send Mode": Always (default): permanent updates. Differencial: sends only, if a channel value changed
- CSV import now can deal with milliseconds and frame timestamps

2.0_6008 - 19.5.2020
- New Backstage to sACN device to send out live video data from Brainsalt's Backstage video mapping tool to (multiple) sACN universes

2.0_5984 - 22.4.2020
- Fixed Exception on Punch Out when recording to sACN device
- Enabled TwinCAT RT device in Demo Version
- Enabled Remote Control in Demo Version

2.0_5982 - 20.4.2020
- Enabled CSV Export for TwinCAT RT

2.0_5978 - 11.4.2020
- Further improved Beckhoff ADS device performance and handling

2.0_5962 - 22.3.2020
- Improved Beckhoff ADS device performance
- Added Beckhoff ADS passive mode
- Support for Beckhof ADS arrays and structs
- Fixed: RGBW Color channel did not send values
- Minor fixes

2.0_5921 - 8.3.2020
- Minor fixes

2.0_5899 - 27.2.2020
- TwinCAT ADS: channels assigned to floating point symbols types are setup with a the correct floating point precission
- Commands can have a duration now. When releasing the locator within the duration of a command, the command will be sent out
- UDP connections support Jumbo Packets now

2.0_5885 - 23.2.2020
- Feature: first implementation of commands with duration
- Allow Network connections to destinations without local network adapter, but warn

2.0_5859 - 27.1.2020
- Feature: Different Channel Restrictions for "Play" and "Stop" state, allows to slowly move controlled devices from a to b when dragging the locator, but keep maximum speed and acceleration when in play state
- Note: Send Permantly mode renamed to "Realtime Mode" and is available for Demo, Play and Full versions only

2.0_5852 - 21.1.2020
- Feature: Adjustable Playback Speed
- Fixed: Reference channels not using restricted values in "SendPermanently" mode
- Fixed: Commands not sent out in "SendPermanently" mode

2.0_5843 - 3.1.2020
- Fixed: some commands of command channels not sent in "Send Permanently" mode

2.0_5841 - 17.12.2019
- DMX and Color channels are now included with channel numbers in CSV export
- Minor fixes

2.0_5836 - 14.12.2019
- New Settings Dialog
- Minor fixes

2.0_5826 - 9.12.2019
- Support for RGBW in color channel

2.0_5821 - 7.12.2019
- Marker can have comments now
- Improved sACN multicast handling and selection of networkcard for multicast
- Fixed: large memory consumption and performance degration with long shows

2.0_5788 - 3.12.2019
- Minor Fixes

2.0_5780 - 28.11.2019
- Improved Beckhoff ADS and datarate
- Minor fixes

2.0_5791 - 22.11.2019
- Added Beckhoff ADS support
- Fixed: sACN network adapter set in settings was not used

2.0_5773 - 22.10.2019
- Further sACN improvements
- Minor GUI upgrades

2.0_5755 - 13.10.2019
- sACN Sync Device added
- Fixed: Audio >24h duration not imported and played

2.0_5752 - 3.10.2019
- Script Chaining: it is now possible to get values of another script from a script. See example on Livescript editor.

2.0_5751 - 2.10.2019
- CSV export is taking precision property of channel into account now

2.0_5750 - 31.9.2019
- Fixed: CSV Export for script channels returning integer not working

2.0_5746 - 24.9.2019
- Fixed: audio file export length with end / start export marker
- Added: Battery indicator 

2.0_5742 - 19.9.2019
- Fixed: Deployment tab not showing up in time with many showfiles in project

2.0_5740 - 13.9.2019
- Initial support for sACN playout and recording 

2.0_5738 - 11.9.2019
- Fixed: Passive mode stall when playing a segment with alt-space
- MIDI connections now support SysEx Messages

2.0_5731 - 9.8.2019
- Added support for ENTTEC DMX devices

2.0_5730 - 8.8.2019
- Fixed: Artnet Device Discovery not selectable
- Fixed: Audio not playing with multiple HFX files opened at the same time

2.0_5727 - 3.8.2019
- Service Release

2.0_5723 - 27.7.2019
- Feature: Multiple HFX files can be opened at once (still only one is active and used for evaluation)
- Feature: Copy & Paste within Conductor and multiple HFX

2.0_5714 - 27.6.2019
- Fixed: Curve disapeared for channels that previously were set to Bit representation

2.0_5712 - 27.5.2019
- Merge Plots: display multiple channels overlayed in one view

2.0_5704 - 23.4.2019
- "Full updates periodically" setting in devices to export full updates periodically on flash card export

2.0_5702 - 20.3.2019
- improved passive mode UDP packet handling

2.0_5701 - 27.2.2019
- Fixed: Pasting the same command from clipboard multiple times resulted in a reference instead a copy of the command
- Added "LastValidatedValue" to Live Script Interface to have access to speed and acceleration limited data

2.0_5700 - 8.2.2019
- Fixed: input device leves can be wrong with multiple input devices of same type

2.0_5699 - 1.3.2019
- Shortcut "P" to create point at current poristion
- Shortcut "SHIFT+P" to create point with max. value at current position
- Shortcut "CTRLüP" to create point with min. value at current position
- Point is selected after creating

2.0_5698 - 28.1.2019
- Adjusted step widths for keyboard editing

2.0_5697 - 20.1.2019
- Fixed shortcuts modification and reset not working

2.0_5696 - 20.1.2019
- Library created with previous versions can be imported

2.0_5695 - 23.12.2018
- Deployment: fixed slow playing audio

2.0_5694 - 17.12.2018
- Allow up to 32 audio channels
- Updated to NAudio 1.8.5
- Option to automatically start in rehearsal mode for realtime mapping of input to output devices
- OSC input devices
- Max. Speed and Acceleration validation for all numeric channels
- Realtime Speed and Acceleration limitation for numeric channels when "send permanently" is set in timeline node
- Control.ini editor can be opened in separated window
- Deployment Projects can be named now (instead showing full path)
- Many minor fixes 

2.0_5583 - 15.9.2018
- Added OSC Input Controller
- Minor Fixes 

2.0_5575 - 12.9.2018
- Minor Fixes
- Optional Artnet Universe to Universe Remapping
- OSC Devices as Input Controller

2.0_5507 - 27.7.2018
- Options when changing interpolation from linear to Bezier
- Fixed: OSC commands not sent out

2.0_5486 - 13.7.2018
- Fix: AAC format change to fix a playback lag with ProCommander
- Fix: Script channels not working
- Fix: "Test Command" not working	

2.0_5476 - 8.7.2018
- Point sliders receive keyboard input
- Markers can be included in zoning
- Modified Shift-Key behaviour to be fast movement when editing points (previously was Ctrl)
- Small enhancements and fixes

2.0_5466 - 20.6.2018
- Update to .NET 4.7
- Import multiple Artnet universes at once
- Default IPs for Artnet universes
- Allow to reference to DMX recordings instead to embed them into the hfx file (performance)
- Artnet packet sequence check on DMX recording
- Added complete UDP remote control possibilities for FULL version
- Remote control application (including scheduler) available on request
- Added PosiStageNet for input devices
- Conductor can be set to start in "Rehearsal" mode on startup to allow permanent live mapping of input devices to channels
- Fixed: Control.ini can't be in additional files in deployment
- Fixed: Auto Scrolling while zoning
- Fixed: no DMX output of previously muted channels
- Added long path name support check in system settings assistent 

2.0_5311 - 28.3.2018
- Fixed crash when recording Artnet with external timecode

2.0_5307 - 2.3.2018
- Fixed broken AAC output
- Added TwinCAT channel type for communication with Beckhoff (optional licensing)

2.0_5300 - 9.2.2018
- Added Bezier Curve Editing
- Multiple minor fixes

2.0_5268 - 13.12.2017
- Fixed: "Add to timeline" not working on device tab

2.0_5267 - 11.12.2017
- Fixed: firmware update for PHX2 not working

2.0_5261 - 27.11.2017
- Loading and drawing performance increased
- Minor fixes

2.0_5254 - 25.8.2017
- Removed RS232 device scan as it might cause issues on certain systems

2.0_5253 - 27.7.2017
- Fixed: SubDeviceID not used when adding a detected module to the Timeline

- Fixed: Point Slider: points were created on locked channels

- Removed "Add Servo" and "Add PWM channel" from analog modules, as they only understand analog channels (even on servo modules)
- Removed RS232 device discover because causing issues on certain hardware and generally not used anymore

2.0_5249 - 13.7.2017
Fixes: Artnet recordings with optimized packets were not handled correct

2.0_5247 - 7.6.2017
Fixed: keep audio routing for imported WEM1 show files

2.0_5245 - 21.4.2017
Max standalone modules for advanced version increased to 5

2.0_5243 - 13.4.2017
Feature: Added option to output audio resampled to 16Bit (might help on VMs)

2.0_5237 - 6.4.2017
Fixed: Missing last packet of Artnet recording

2.0_5236 - 30.3.2017
Fixed: Range Channels with first channel > 1 not working correct after saving and loading show file

2.0_5234 - 29.3.2017
Fixed deployment of audio files my not work correct with relative paths and after show file directory changed
Fixed CTD when adding 512 DMX channels

2.0_5233 - 21.3.2017
Added warning message, that Conductor must run as Administrator, if started in an OS managed directory like C:\Program Files

2.0_5231 - 3.3.2017
Feature: Paths to files in deployment packages are now stored relative to the export project file itself. Path in exiting projects can be converted to relative by right click in the deployment packages list.
Fixed: Relocation of video resources working

2.0_5222 - 27.2.2017
Feature: Use previous formated audio resources as source to create new audio resources. This prevents the need to import the original audio.
Feature: An alternative Resource folder can be setup in the settings now. This folder and subfolders will be searched, if an original audio can't be found

2.0_5220 - 21.2.2017
Feature: Enable Disable Regording Groups AND independently add them to Global Punch In/Out Action
Fixed: Added missing Slider Inputs for Generic Direct Input Devices

2.0_5215 - 21.2.2017
Fixed: Shift DMX channels did not affect color channels

2.0_5213 - 16.2.2017
Feature: Toolbar button to enable/disable snapping to marker
Feature: Recording groups tab can be shown vertically, when floating
Feature: Integrated Pro Commander 3, Pro Commander PHX2, Pro Commander LX2
Feature: "Load Recording" now also supports Philips ColorPlay 3 exports
Multiple minor fixes and features

2.0_5186 - 20.1.2017
Feature: Markes can be set to a custom color and can have a vertical line visual
Feature: The fill color of a curve can be set to a custom color
Fixed: Having multiple recording groups with same MIDI devices and feedback channels now working
Multiple minor fixes and features

2.0_5148 - 31.12.2016
Unlock icon now appears green
Modified Autoscroll when dragging points 
Fixed wrong import of analog modules from OpenHex files

2.0_5145 - 27.12.2016
Multiple minor fixes and features

2.0_5114 - 14.12.2016
Improved: GUI performance for DMX range channels and audio channels
Feature: Filter channels by name
Fixed: More work on audio playback to avoid crackling and asynchronous playback
(hopefully) fixed: Locator getting stuck again

2.0_5097 - 30.11.2016
Fixed: Reverted Wasapi audio buffer size to 10ms due to reports of asynchronous audio playback
Fixed: Analog outputs might have received a wrong update on Punch Out, if a fade-to-level time was set on the device
Fixed: Values were sent out for channels with muted parents on Punch Out
Feature: New color picker for color channels
Feature: Multiple Instances of Conductor can be started with id=MyInstanceName command line parameter

2.0_5086 - 24.11.2016
Feature: Selected points can be put into library and can be inserted at a locator position either through context menu or icon in the library
Fixed: possible asynchronous audio on some hardware

2.0_5079 - 22.11.2016
(hopefully) fixed: Locator getting stuck
Improved: possible cracking and asynchronous audio on some hardware
Improved: performance when dragging many points
Fixed: Step one frame sometimes stopped due to a double rounding issue
Fixed: Undo steps where not limited. Now setable in settings.

2.0_5058 - 21.10.2016
Fixed: Command Lists not loaded correctly

2.0_5057 - 18.10.2016
Feature: Combined 32/64 bit version (run Conductor_32.exe to force 32 bit version)
Feature: Improved video import, import audio from videos through audio resources
Feature: Global Punch In/Out Actions
Feature: Allow up to 5 Pro I/O modules w/o a ProCommander for Advanced version
Multiple minor fixes and features

2.0_5035 - 20.7.2016
Feature: Added "lock" funciton for every channel in "Bit" representation
Known Issue: x64 Version does not allow video import

2.0_5034 - 11.7.2016
Feature: Added AAC Support to FULL and ADVANCED versions for ProCommanders running firmware >= 271
Feature: Added System Assitant to setup firewall rules and registry settings
Multiple minor fixes and features

2.0_5011 - 30.6.2016
Improved: Curves are now drawn aliased for performance. (Anti Aliasing can be reactivated in settings)
Improved: Showing only last 5 seconds of recorded data during real time recording to improve performance
Fixed: Don't always show points in channels that are enabled for snapping
Multiple minor fixes and features

2.0_4968 - 14.6.2016
Fixed: Snapping to and with command and audio channels
Multiple minor fixes and features

2.0_4958 - 10.6.2016
Feature: Command lists are now programm wide set and automatically loaded on startup
Feature: No more lenght limitation for audio
Multiple minor fixes and features

2.0_4939 - 6.6.2016
Feature: Improved Deployment through buggy WLAN connections
Feature: Channels can be set to output inverted
Feature: Nummeric Channels can be edited in BIT representation now (f.e. for digital DMX I/Os)
Feature: Source Port of UDP connections can be manually set
Multiple minor fixes and features

2.0_4924 - 25.5.2016
Feature: Any nummeric channel (including DMX) can be switched to "Bit Representation" that allows bitwise editing.
Improved Help and other minor fixes

2.0_4890 - 19.5.2016
Feature: Optimization options Dialog on WMC file import
Feature: Midi Output for Nummeric and Command channels
Fixed: Internal audio levels not set from HFX
Fixed: LX and PHX exported sometimes wrong numbers of audio files
Fixed: Multiple Marker can't have same time
Fixed: Partly clean up of devices tab
Fixed: Deployment stalled, if reimported audio was shorter than original audio
Fixed: Deployment Packages not loaded if device in package is in foreign subnet
Fixed: Non existing Deployment Packages are not shown anymore
Fixed: Audio Peaks wrong after reimporting audio
Multiple minor fixes and features

2.0_4828 - 2.5.2016
Feature: CTRL-resize now also works with pinned items
Fixed: Export Marker not used during deployment if current opened show also has an export marker
Fixed: Modules in muted groups not exported anymore
Fixed: WMC File import with Subdevices with IDs > 8

2.0_4820 - 28.4.2016
Feature: Deployment allows "Additional Files" to include in the Deployment Package, which are also exported/uploaded to the device
Fixed: State-Script Export works with Mixed DMX Mode now
Fixed: Audio Envelopes not editable (no points, no curve)
Fixed: Marker Undo Mess Up
Fixed: Infrequent Punch Out when recording in passive mode

2.0_4797 - 25.4.2016
Fixed: False data in export for shows with commands in command channels before Export Start marker
Fixed: Deployment: Possible missing DMX Commands in Mixed Update Mode
Fixed: Mixed Update Mode used first and last DMX channel set for Range Update Mode
Fixed: Issues with Layout and Deployment when starting Conductor through file association

2.0_4791 - 22.4.2016
Feature: Automatically lock horizontally when copying points in rectangle mode
Feature: Download Control.ini from device-context menu in deployment dialog
Feature: Added file creation of association, if started with administrator rights
Fixed: Dialogs shown on wrong position with multi monitors, desktop scaling or in tablet mode
Fixed: Can't drag Pro I/O modules away from ProCommander in layout
Fixed: Reimport of audio files marks file as dirty
Fixed: Possible peak file error messages during deployment
Fixed: Locator drag issue with NET 4.0

2.0_4767 - 11.4.2016
Fixed: Do not send values out for muted channels after Punch Out

2.0_4766 - 10.4.2016
Fixed: When opening a recent file with currently unsaved changes, command "Save current timeline and continue" saved an empty file

2.0_4751 - 6.4.2016
Fixed: Possible crash at startup, if FirewallAPI.dll is not accessible or not present

2.0_4737 - 4.4.2016
Feature: Added Creation of Firewall Rule if Conductor runs as with Administrator privileges (right click "Run as administrator")
Feature: Audio Export is done with 48KHz instead 44.1KHz
Feature: Support for Slow running 23.976 FPS timecode
Fixed: Device discovery and configuration of devices in foreign subnets now works with multiple local network adapters and IPs
Fixed: Deployment: Duplicate export of shows with old show indexes after indexes were changed
Fixed: Deployment: Show to local folders are now always fully copied, not only incremental
Fixed: Deployment: Packages were not marked as "dirty" after subsequent changes of export parameters
Fixed: Allow up to 8 x RS232 for ProCommander to support ProCommander LTC


2.0_4699 - 22.3.2016
Feature: Deploy shows through network to ProCommanders running firmware >= 249

2.0_4644 - 8.3.2016
Feature: Example C# Script on Scripting Tab
Feature: Automatic and Manual Audio Resource Cleanup
Feature: Added Zoning preview for all channel types
Feature: Added Device Property "Mixed" DMX Update Mode to only update existing DMX channels (not always entire range from first to last channel like it was before)
Feature: Added Point Modifier "Smudge Tool"
Feature: Added Device and Module Property "Full Update at Export Start"
Feature: Added independent Fade-To-Level in time properties for devices and modules. ProCommander firmware >= V243 required!
Feature: Improved Layout functions to be more intuitive
Feature: STRG-Mouse-Wheel zooms around mouse cursor (instead of locator) 
Feature: Added PHX Device
Feature: Rectangle Selection mode now is ended when clicking in empty area of a channel
Feature: Added option for DMX devices to evaluate muted channels with their default value (or not at all)
Fixed: Multiple minor issues for reimporting WM1 show files
Fixed: Send Min/Default/Max Value for Digital Modules not working
Fixed: Command and RS232 commands at time 0 not exported
Fixed: Joysticks and other recording devices not shown after start, only after manual refresh
Fixed: some minor issues


2.0_4510 - 31.10.2015
Feature: Alperman+Velte / Plura timecode cards supported in passive mode
Feature: Recording Groups show names of missing channels
Feature: Option to keep original timecode when Artnet/DMX recording with external timecode
Improved: ProCommander 250 Variable support
Fixed: Further Stereo Downmix improvements
Fixed: Failed audio imports are reimported again
Fixed: Show Import now accepts FadeToLevelInTime commands
Fixed: Audio was not muted if any of its parent was muted
Fixed: Cloning of Command channels with parameters did not work

Other minor fixes

2.0_4472
Further improved startup speed

2.0_4471
Improved startup speed a bit
Fixed: Messed up GUI when running through remote desktop

2.0_4470
Fixed: Audio sometimes not playing in passive mode
Fixed: Possible crash of audio device caused by an empty buffer when arranging audio during playback
Fixed: Selected points not disappearing and selection rectangle disappearing if user operation and auto save happened at the same time
Fixed: Selection Rectangle and Operations not working in Pinned Items
Fixed: Pinned Item Output Values not Updated
Fixed: Effective Ease Out duration not longer than recording itself
Fixed: No Feedback after Ease Out causing Midi Slider to be on wrong position
Fixed: AddPointsToChannel not using current time to calculate end last point anymore, but Punch Out time
Fixed: Jump to 0s when opening show in passive mode
Fixed: No Evaluation/Audio playback during DMX recording in passive mode
Fixed: Timecode not stopping during DMX/Artnet recording in passive mode
Fixed: Stereo Mixdown not working
Fixed: Not possible to interrupt a DMX/Artnet Recording with Timecode Start/End
Feature: Layout selections and operations with multiple items is more intuitive
Feature: Min/Max/Default Icons on groups
Feature: Create Anchor Points in Zoning now creates points before and after borders of zone
Feature: Fade commands now also sent in passive mode when timecode is jumping

2.0_4424
Fixed: Crash when switching Workspace layout and returning to recording group tab
Fixed: Devices not showing up in DMX Recorder
Fixed: Curve Tension parameter ignored for curve interpolation
Fixed: Midi Connection not respecting "Log traffic" property
Fixed: SubDevice ID not being Updated in Device Configurator
Feature: Improved Midi Recording
Feature: Reduced Update frequency of Input Device Visualization to improve overall performance
Feature: Optimizing Data Points after Midi and Joystick Recording
Feature: Devices in other Subnets are now found and IP/Subnet can be set
Feature: Show Name is now included in Header of exported show file

2.0_4404 
Added Help V.1.0
Added support to load .sdmp dump files from newly created Network Recorder
Faster Show File Import
Fixed: Passive Mode always enabled on startup
Fixed: UDP Sender using synchronous communication now what could have caused to rare communication issues
Fixed: Stall when adding Waveform Generator

2.0_4366 
Fixed Analog Channel not updating, when referencing to a script channel outputting values other than double or int

2.0_4365 
Fixed an Import Issue for Venue Magic show files and Pro I/O Digital 32

2.0_4364 
Initial Release
